Delete All Images Of Pass Template
curl --request DELETE \
--url https://api.loyalty.dog/v2/templates/{templateId}/images \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Images
Delete All Images Of Pass Template
Delete All Images of Pass Template
Deletes all images associated with a specific pass template.
Parameters:
template(Template): The pass template.
Returns:
Response: Standard HTTP response indicating success or failure.
DELETE
/
v2
/
templates
/
{templateId}
/
images
Delete All Images Of Pass Template
curl --request DELETE \
--url https://api.loyalty.dog/v2/templates/{templateId}/images \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/templates/{templateId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
